# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['skyline_apiserver',
 'skyline_apiserver.api',
 'skyline_apiserver.api.v1',
 'skyline_apiserver.api.v1.openstack',
 'skyline_apiserver.client',
 'skyline_apiserver.client.openstack',
 'skyline_apiserver.cmd',
 'skyline_apiserver.config',
 'skyline_apiserver.core',
 'skyline_apiserver.db',
 'skyline_apiserver.db.alembic',
 'skyline_apiserver.db.alembic.versions',
 'skyline_apiserver.network',
 'skyline_apiserver.policies',
 'skyline_apiserver.schemas',
 'skyline_apiserver.types',
 'skyline_apiserver.utils']

package_data = \
{'': ['*']}

install_requires = \
['PyYAML',
 'aiomysql>=0.0.21,<0.0.22',
 'aiosqlite>=0.17.0,<0.18.0',
 'alembic>=1.4.2,<2.0.0',
 'bcrypt>=3.2.0,<4.0.0',
 'databases',
 'email-validator>=1.1.1,<2.0.0',
 'fastapi[all]',
 'gunicorn',
 'hiyapyco>=0.4.16,<0.5.0',
 'httpx>=0.16.1,<0.17.0',
 'immutables',
 'keystoneauth1>=3.17.0,<3.18.0',
 'orjson',
 'osc-placement>=1.7.0,<1.8.0',
 'passlib>=1.7.2,<2.0.0',
 'pymysql',
 'python-cinderclient>=5.0.0,<5.1.0',
 'python-glanceclient>=2.17.0,<2.18.0',
 'python-heatclient>=1.18.0,<1.19.0',
 'python-jose>=3.2.0,<4.0.0',
 'python-keystoneclient>=3.21.0,<3.22.0',
 'python-neutronclient>=6.14.0,<6.15.0',
 'python-novaclient>=15.1.0,<15.2.0',
 'python-octaviaclient>=1.10.0,<1.11.0',
 'skyline-config',
 'skyline-log',
 'skyline-policy-manager',
 'sqlalchemy>=1.3.0,<1.4.0',
 'ujson',
 'uvicorn[standard]>=0.12.1,<0.13.0']

entry_points = \
{'console_scripts': ['config-sample-generator = '
                     'skyline_apiserver.cmd.generate_sample_config:main',
                     'swagger-generator = '
                     'skyline_apiserver.cmd.generate_swagger:main']}

setup_kwargs = {
    'name': 'skyline-apiserver',
    'version': '0.1.0',
    'description': '',
    'long_description': None,
    'author': 'OpenStack',
    'author_email': 'openstack-discuss@lists.openstack.org',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
